package net.sourceforge.rapidprops.example.helloworld;

import java.io.IOException;
import net.sourceforge.rapidprops.PropsBuilder;

public class HelloWorld {
	
	public static interface ValueProvider {
		String getRecipient();
	}

	public static void main(String[] args) throws IOException {
		ValueProvider props = PropsBuilder.createFromResource(ValueProvider.class, "/net/sourceforge/rapidprops/example/helloworld/test.properties");
		System.out.println("Hello, " + props.getRecipient());
	}
}
